1. 5.1 Global Tropical Cyclone
ElaneGlobal
  • 1 AIS Dataset
    • 1.1 Vessel Position
      • 1.1.1 Single Vessel Position
      • 1.1.2 Multi-vessel Position
      • 1.1.3 Fleet Position
    • 1.2 Vessel Search
      GET
    • 1.3 Vessels Nearby
      GET
    • 1.4 Vessels in Zone
      GET
    • 1.5 Vessel Flag Information
      GET
  • 2 Voyage Dataset
    • 2.1 Port Information
      GET
    • 2.2 Currently Berthed Vessels
      GET
    • 2.3 Currently Anchored Vessels
      GET
    • 2.4 Inbound / Expected Arrivals
      GET
  • 3 History Dataset
    • 3.1 Vessel History Track
      GET
    • 3.2 Ship-to-Ship (STS) Events
      GET
    • 3.3 Vessel Port Call History
      GET
    • 3.4 Vessel Port Call Records at Specific Port
      GET
    • 3.5 Vessel Current Port Call
      GET
    • 3.6 Port Calls Records for Port
      GET
  • 4 Prediction Dataset
    • 4.1 Point-to-Point Route Planning
      GET
    • 4.2 Port-to-Port Route Planning
      GET
    • 4.3 ETA Query
      GET
  • 5 Meteorology Dataset
    • 5.1 Global Tropical Cyclone
      • 5.1.1 Global Tropical Cyclones List
        GET
      • 5.1.2 Tropical Cyclone Details by Point
        GET
    • 5.2 Global Port Tide Predictions
      • 5.2.1 Request parameters for Global Tide Gauge Stations List
      • 5.2.2 Query Single Tide Gauge Station Details
    • 5.3 Global Marine Weather
      GET
  • 6 China Region Coastline Warning Dataset
    • 6.1 China Region Navigational Warnings
      GET
  • 7 Event Dataset
    • 7.1 Monitored Fleet Management
      • 7.1.1 Create Fleet
      • 7.1.2 Update Fleet Information
      • 7.1.3 Query Fleet
      • 7.1.4 Delete Fleet
      • 7.1.5 Add Vessels to Fleet
      • 7.1.6 Batch Update Vessels in Fleet
      • 7.1.7 Remove Vessels from Fleet
    • 7.2 Geofence Monitoring Push
      • 7.2.1 Geofence Creation
      • 7.2.2 Geofence Update
      • 7.2.3 Geofence Query
      • 7.2.4 Geofence Deletion
      • 7.2.5 Geofence Monitoring Push
    • 7.3 Vessel Speed Alert Push
      • 7.3.1 Add Vessel Speed Alert Subscription
      • 7.3.2 Delete Vessel Speed Alert Subscription
      • 7.3.3 Query Vessel Speed Alert Subscription List
      • 7.3.4 Vessel Speed Anomaly Push
    • 7.4 Real-time Vessel Position Push
    • 7.5 Arrival/Departure Event Push
    • 7.6 Vessel Dynamic ETA Push
    • 7.7 Vessel AIS Signal Loss Event Push
    • 7.8 Vessel STS Event Push
  • Appendix
    • Vessel Type Comparison Table
    • Service Return Code
    • Sea Area Reference Table
    • Navigation Status Comparison Table
    • Deviation Node List
    • Aids to Navigation (AtoN) Type Table
  1. 5.1 Global Tropical Cyclone

5.1.1 Global Tropical Cyclones List

GET
https://api.elaneglobal.com/v1/Meteorology/CyclonesList

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.elaneglobal.com/v1/Meteorology/CyclonesList?key=1F6D701272402D1E7D8D316CCE519123'

Responses

⚪0success
application/json
Body

Example
{
  "status": 0,
  "msg": "",
  "total": 425,
  "data": [
     {
      "typhoon_id": "3064324",
      "typhoon_code": 0,
      "typhoon_cncode": "2509",
      "typhoon_cnname": "罗莎",
      "typhoon_name": "KROSA",
      "current_year": 2025,
      "dataMark": ""
    },
    {
      "typhoon_id": "3063123",
      "typhoon_code": 0,
      "typhoon_cncode": "2508",
      "typhoon_cnname": "竹节草",
      "typhoon_name": "CO-MAY",
      "current_year": 2025,
      "dataMark": ""
    },
    {
      "typhoon_id": "3062724",
      "typhoon_code": 0,
      "typhoon_cncode": "2507",
      "typhoon_cnname": "范斯高",
      "typhoon_name": "FRANCISCO",
      "current_year": 2025,
      "dataMark": ""
    },
    ......
    ]
}
Previous
5.1 Global Tropical Cyclone
Next
5.1.2 Tropical Cyclone Details by Point
Built with